# Information Schema FILE\_KEY\_MANAGEMENT\_KEYS Table

{% hint style="info" %}
This table is available from MariaDB Enterprise Server 11.8.
{% endhint %}

The `INFORMATION_SCHEMA.FILE_KEY_MANAGEMENT_KEYS` table lists key ID and latest key version for keys managed by the [file\_key\_management](https://mariadb.com/docs/server/security/encryption/data-at-rest-encryption/key-management-and-encryption-plugins/file-key-management-encryption-plugin) plugin. The table's contents can be queried directly, or viewed using the `SHOW FILE_KEY_MANAGEMENT_KEYS` statement.

You can also can reload the data from the key file into the cache by issuing this statement:

```sql
FLUSH FILE_KEY_MANAGEMENT_KEYS
```

This functionality is provided by the `file_key_management` plugin.

This Information Schema table allows to query the key numbers and key versions which are currently in the cache (which can be different to the file). It also allows to verify which keys are in use when joining the table with [INNODB\_TABLESPACES\_ENCRYPTION](https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_tablespaces_encryption-table).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-file_key_management_keys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
